Uptimeify Docs

ICMP Monitor abrufen

Gibt Details zu einem ICMP Monitor zurück.

GET /api/icmp-monitors/:icmpMonitorPublicId

Die Response enthält nur den ICMP-Monitor selbst und bettet keinen vollständigen Kunden-Datensatz ein.

Authentifizierung

Erfordert eine gültige Session.

  • Header: Authorization: Bearer <token>

Parameter

  • icmpMonitorPublicId (Pfad, erforderlich): Öffentliche UUID des ICMP-Monitors.

cURL

curl "https://YOUR_DOMAIN/api/icmp-monitors/22222222-2222-4222-8222-222222222222" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "id": 123,
  "organizationId": 1,
  "customerId": 10,
  "name": "Core Router",
  "hostname": "10.0.0.1",
  "port": null,
  "status": "active",
  "checkInterval": 30,
  "timeoutSeconds": 30,
  "config": {
    "packetSize": 56,
    "count": 3
  },
  "notificationPhoneNumber": null,
  "notificationEmail": null,
  "lastCheckedAt": null,
  "createdAt": "2026-02-26T12:00:00.000Z",
  "updatedAt": "2026-02-26T12:00:00.000Z",
  "icmpConfig": {
    "packetSize": 56,
    "count": 3
  }
}

Fehler

  • 400 ICMP Monitor Public ID (UUID) erforderlich
  • 401 Unauthorized
  • 403 Forbidden
  • 404 ICMP Monitor nicht gefunden

Auf dieser Seite